
@echo off

rem ------------------------------------------------------------------------------
rem SEZIONE INFORMAZIONI UTENTE E PASSWORD
rem Indicare password di protezione chiave e le informazioni identificative 
rem ------------------------------------------------------------------------------

SET PASSWORD=nR8a32bK
SET ABI=06195
SET ORGANIZZAZIONE=C.R. Loreto SPA
SET UFFICIO=C.R. Loreto SPA
SET STATO=IT
SET PROVINCIA=Ancona
SET CITTA=Loreto
SET NOME=P@PER 06195


rem ------------------------------------------------------------------------------
rem SEZIONE KEYTOOL 
rem Indicare il percorso dove e' installato il software keytool.exe
rem ------------------------------------------------------------------------------

SET KEYTOOL=C:\Program Files (x86)\Java\jre7\bin\keytool.exe


rem ------------------------------------------------------------------------------
rem CREAZIONE FILE (non modificare questa sezione)
rem ------------------------------------------------------------------------------

:verifica_valore_keytool

if /I NOT "%KEYTOOL%" == "" goto veritica_path_keytool
echo.
echo Percorso del programma KEYTOOL non impostato!
echo Impostare il valore KEYTOOL=....... nel file .bat
echo.
goto fine

:veritica_path_keytool

if exist "%KEYTOOL%" goto creazione
echo.
echo Percorso del programma KEYTOOL non valido!
echo Verificare percorso e cambiare il valore KEYTOOL=....... nel file .bat
echo.
goto fine

:creazione

echo 
echo Creazione chiave utente %NOME% ed aggiunta al keystore %KEYSTORE% ...
echo   ABI Istituto ..: %ABI%
echo   Organizzazione : %ORGANIZZAZIONE%
echo   Ufficio. ......: %UFFICIO%
echo   Nazione .......: %STATO%
echo   Provincia .....: %PROVINCIA%
echo   Citta .........: %CITTA%
echo   Nome ..........: %NOME%
echo.

SET AMBIENTE=prod
SET CERTFILEB64=%ABI%-ws-%AMBIENTE%-b2b.cer
SET CERTFILEDER=%ABI%-ws-%AMBIENTE%-b2b.der
SET KEYSTORETYPE=PKCS12
SET KEYSTORE=%ABI%-ws-%AMBIENTE%-b2b.p12
SET KEYSTOREPWD=%PASSWORD%
SET KEYPWD=%PASSWORD%
SET KEYALIAS=ABI_%ABI%

"%KEYTOOL%" -storetype %KEYSTORETYPE% -keystore %KEYSTORE% -storepass %KEYSTOREPWD% -alias %KEYALIAS% -keypass %KEYSTOREPWD% -dname "CN=%NOME%, O=%ORGANIZZAZIONE%, OU=%UFFICIO%, C=%STATO%, S=%PROVINCIA%, L=%CITTA%" -genkey -keyalg RSA -sigalg SHA1WithRSA -validity 3650

echo.
echo Estrazione certificato formato Base64 ...
echo.

"%KEYTOOL%" -storetype %KEYSTORETYPE% -keystore %KEYSTORE% -storepass %KEYSTOREPWD% -alias %KEYALIAS% -file %CERTFILEB64% -export -rfc

echo.
echo Estrazione certificato formato DER ...
echo.

"%KEYTOOL%" -storetype %KEYSTORETYPE% -keystore %KEYSTORE% -storepass %KEYSTOREPWD% -alias %KEYALIAS% -file %CERTFILEDER% -export 

echo.
echo Generazione completata!
echo.
set /p DUMMY=Premere ENTER per terminare
echo.

rem ------------------------------------------------------------------------------

:fine


